GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
string.h File Reference
`#include <stddef.h>`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/slice_buffer.h>`
`#include <grpc/support/slice.h>`

Go to the source code of this file.

## Data Structures
struct | gpr_strvec

## Macros
#define | GPR_DUMP_HEX 0x00000001
#define | GPR_DUMP_ASCII 0x00000002
#define | GPR_LTOA_MIN_BUFSIZE (3 * sizeof(long))

## Functions
char * | gpr_dump (const char *buf, size_t len, gpr_uint32 flags)
char * | gpr_dump_slice (gpr_slice slice, gpr_uint32 flags)
int | gpr_parse_bytes_to_uint32 (const char *data, size_t length, gpr_uint32 *result)
int | gpr_ltoa (long value, char *output)
void | gpr_reverse_bytes (char *str, int len)
char * | gpr_strjoin (const char **strs, size_t nstrs, size_t *total_length)
char * | gpr_strjoin_sep (const char **strs, size_t nstrs, const char *sep, size_t *total_length)
void | gpr_slice_split (gpr_slice str, const char *sep, gpr_slice_buffer *dst)
| Split str by the separator sep. More...
void | gpr_strvec_init (gpr_strvec *strs)
void | gpr_strvec_destroy (gpr_strvec *strs)
void | gpr_strvec_add (gpr_strvec *strs, char *add)
char * | gpr_strvec_flatten (gpr_strvec *strs, size_t *total_length)

## Macro Definition Documentation

#define GPR_DUMP_ASCII 0x00000002

#define GPR_DUMP_HEX 0x00000001

#define GPR_LTOA_MIN_BUFSIZE (3 * sizeof(long))

## Function Documentation

char* gpr_dump | ( | const char * | buf,
|  | size_t | len,
|  | gpr_uint32 | flags
| ) |  |

char* gpr_dump_slice | ( | gpr_slice | slice,
|  | gpr_uint32 | flags
| ) |  |

int gpr_ltoa | ( | long | value,
|  | char * | output
| ) |  |

int gpr_parse_bytes_to_uint32 | ( | const char * | data,
|  | size_t | length,
|  | gpr_uint32 * | result
| ) |  |

void gpr_reverse_bytes | ( | char * | str,
|  | int | len
| ) |  |

void gpr_slice_split | ( | gpr_slice | str,
|  | const char * | sep,
|  | gpr_slice_buffer * | dst
| ) |  |

Split str by the separator sep.

Results are stored in dst, which should be a properly initialized instance.

char* gpr_strjoin | ( | const char ** | strs,
|  | size_t | nstrs,
|  | size_t * | total_length
| ) |  |

char* gpr_strjoin_sep | ( | const char ** | strs,
|  | size_t | nstrs,
|  | const char * | sep,
|  | size_t * | total_length
| ) |  |

void gpr_strvec_add | ( | gpr_strvec * | strs,
|  | char * | add
| ) |  |

void gpr_strvec_destroy | ( | gpr_strvec * | strs | ) |

char* gpr_strvec_flatten | ( | gpr_strvec * | strs,
|  | size_t * | total_length
| ) |  |

void gpr_strvec_init | ( | gpr_strvec * | strs | ) |